"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = __importDefault(require("styled-components"));
const theme_1 = __importDefault(require("../../theme"));
const utils_1 = require("../../utils");
exports.FlexColumn = styled_components_1.default.div({
    flexFlow: 'column nowrap',
    height: '100%',
    padding: '0.5em',
}, utils_1.flex(), utils_1.paddable, ({ width }) => {
    if (!width) {
        return;
    }
    return {
        flex: `1 1 ${100 * width}%`,
    };
});
exports.FlexColumn.defaultProps = {
    theme: theme_1.default,
};
exports.FlexRow = styled_components_1.default.div({
    flexFlow: 'row nowrap',
}, utils_1.flex(true), utils_1.paddable);
exports.FlexRow.defaultProps = {
    theme: theme_1.default,
};
