"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const theme_get_1 = require("@styled-system/theme-get");
const theme_1 = __importDefault(require("../theme"));
exports.GlobalStyle = styled_components_1.createGlobalStyle({
    body: {
        margin: 0,
    },
}, (props) => ({
    body: {
        fontSize: theme_get_1.themeGet(`font.size.default`)(props),
        fontFamily: theme_get_1.themeGet(`font.family`)(props),
        color: theme_get_1.themeGet(`colors.primaryText.default`)(props),
    },
    h1: {
        fontSize: theme_get_1.themeGet(`font.size.h1`)(props),
    },
    h2: {
        fontSize: theme_get_1.themeGet(`font.size.h2`)(props),
    },
    h3: {
        fontSize: theme_get_1.themeGet(`font.size.h3`)(props),
    },
    a: {
        color: theme_get_1.themeGet(`colors.primaryText.default`)(props),
        // OnClick
        '&:active:hover': {
            color: theme_get_1.themeGet(`colors.primaryText.active`)(props),
        },
        // Hover or focus
        '&:hover, &:focus': {
            color: theme_get_1.themeGet(`colors.primaryText.hover`)(props),
            textDecoration: 'none',
        },
    },
}));
exports.GlobalStyle.defaultProps = {
    theme: theme_1.default,
};
