export declare type HiroColors = 'primary' | 'secondary' | 'primaryText' | 'secondaryText' | 'red' | 'orange' | 'yellow' | 'green' | 'teal' | 'blue' | 'purple' | 'pink' | 'brown' | 'black' | 'grey' | 'white';
declare type RecursivePartial<T> = {
    [P in keyof T]: RecursivePartial<T[P]>;
};
export declare type ColorDefinitions = Record<HiroColors, {
    default: string;
    active: string;
    hover: string;
    text: string;
}>;
export interface FontDefinitons {
    family: string;
    size: Record<'default' | 'h1' | 'h2' | 'h3', string | number>;
}
export interface HiroDefaultTheme {
    colors: Record<HiroColors, string>;
    font: FontDefinitons;
}
export declare type HiroPartialTheme = RecursivePartial<HiroDefaultTheme>;
export interface HiroTheme {
    colors: ColorDefinitions;
    font: FontDefinitons;
}
export interface HiroComponentProps {
    theme: HiroTheme;
}
export {};
