"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const theme_get_1 = require("@styled-system/theme-get");
exports.secondary = (props) => {
    const value = theme_get_1.themeGet(`colors.${props.color || 'primary'}.default`)(props);
    return (props.secondary && {
        border: `1px solid ${value}`,
        backgroundColor: 'transparent',
        color: value,
    });
};
exports.text = (props) => props.color
    ? {
        color: theme_get_1.themeGet(`colors.${props.color}.default`)(props),
    }
    : null;
exports.paddable = (props) => props.padded
    ? {
        padding: '1rem 2.5rem',
    }
    : null;
exports.flex = (isRow) => ({ verticalAlign, centered, }) => {
    const s = {
        display: 'flex',
        justifyContent: undefined,
        alignItems: undefined,
    };
    if (verticalAlign) {
        s[isRow ? 'alignItems' : 'justifyContent'] = verticalAlign;
    }
    if (centered) {
        s[!isRow ? 'alignItems' : 'justifyContent'] = 'center';
    }
    return s;
};
exports.colourable = (props) => props.color
    ? {
        backgroundColor: theme_get_1.themeGet(`colors.${props.color}.default`)(props),
        color: theme_get_1.themeGet(`colors.${props.color}.text`)(props),
    }
    : {
        backgroundColor: theme_get_1.themeGet(`colors.primary.default`)(props),
    };
exports.clickable = (props) => {
    return Object.assign({ cursor: 'pointer' }, (props.disabled
        ? {
            pointerEvents: 'none',
            opacity: 0.45,
        }
        : {}), { 
        // OnClick
        '&:active:hover': {
            backgroundColor: theme_get_1.themeGet(`colors.${props.color || 'primary'}.active`)(props),
        }, 
        // Hover or focus
        '&:hover, &:focus': {
            backgroundColor: theme_get_1.themeGet(`colors.${props.color || 'primary'}.hover`)(props),
        } });
};
