import styled from 'styled-components';

import { HiroColors, HiroComponentProps } from '../../types';
import { clickable, colourable, secondary } from '../../utils';
import defaultTheme from '../../theme';

export interface ButtonProps extends HiroComponentProps {
  color?: HiroColors;
  secondary?: boolean;
  disabled?: boolean;
}

export const Button = styled.button<ButtonProps>(
  {
    minWidth: '100px',
    height: '35px',
    borderRadius: '3em',
    border: 'none',
    opacity: 1,
    outline: 'none',
  },
  colourable,
  secondary,
  clickable,
);

Button.defaultProps = {
  theme: defaultTheme,
};
