import styled from 'styled-components';

import defaultTheme from '../../theme';
import { HiroComponentProps } from '../../types';
import { flex } from '../../utils';

export interface ContainerProps extends HiroComponentProps {
  centered?: boolean;
  fluid?: boolean;
}

export const Container = styled.div<ContainerProps>(
  flex(),
  {
    flexFlow: 'column nowrap',
  },
  ({ fluid }) => {
    if (fluid) {
      return;
    }

    return {
      margin: '0 15%',
    };
  },
);

Container.defaultProps = {
  theme: defaultTheme,
};
