import { createGlobalStyle } from 'styled-components';
import { themeGet } from '@styled-system/theme-get';

import defaultTheme from '../theme';

export const GlobalStyle = createGlobalStyle(
  {
    body: {
      margin: 0,
    },
  },
  (props) => ({
    body: {
      fontSize: themeGet(`font.size.default`)(props),
      fontFamily: themeGet(`font.family`)(props),
      color: themeGet(`colors.primaryText.default`)(props),
    },

    h1: {
      fontSize: themeGet(`font.size.h1`)(props),
    },

    h2: {
      fontSize: themeGet(`font.size.h2`)(props),
    },

    h3: {
      fontSize: themeGet(`font.size.h3`)(props),
    },

    a: {
      color: themeGet(`colors.primaryText.default`)(props),

      // OnClick
      '&:active:hover': {
        color: themeGet(`colors.primaryText.active`)(props),
      },
      // Hover or focus
      '&:hover, &:focus': {
        color: themeGet(`colors.primaryText.hover`)(props),
        textDecoration: 'none',
      },
    },
  }),
);

GlobalStyle.defaultProps = {
  theme: defaultTheme,
};
